# Generated from ebics-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ebics

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: a ruby implementation of the EBICS protocol
License: LGPL-3.0
URL: https://github.com/railslove/ebics-love
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(equivalent-xml)
BuildArch: noarch

%description
ebics is a ruby implementation of the EBIC standard (H004)
It supports the complete initialization process comprising INI, HIA and HPB
including the INI letter generation.
Furthermore it offers support for the most common download types:
STA HAA HTD HPD PKT HAC HKD C52 C53
And the following upload orders:
CD1 CDD CCT.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ebics.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.0-1
- Initial package
